@echo off & setlocal enableextensions

:: newline.bat. Revised 3/3/2019. M.J. Dallwitz.

if "%1" equ "/?" (
   echo.
   echo Formats items with each attribute starting on a new line.
   echo the output file is items-nl.
   exit /b 0
   )

if exist items.new del items.new > nul

call delfor newline
if errorlevel 1 goto abort

if exist items-nl del items-nl > nul
ren items.new items-nl

goto end

:abort
echo     **** newline.bat failed.
exit /b 1

:end
exit /b 0
